import java.io.*;
import java.net.*;

public class MyClient {
	public static void main(String[] arguments) {
		String mesg;
		String host;
		String port;
		if (arguments.length == 3) {
			host = arguments[0];
			port = arguments[1];
			mesg = arguments[2];
		} else {
			System.out.println("Usage: java MyClient host port message");
			return;
		}

		try {
			Socket digit = new Socket(host, Integer.parseInt(port));
			digit.setSoTimeout(20000);

			// Envia identificacao
			BufferedOutputStream bos = new BufferedOutputStream(digit
					.getOutputStream());
			PrintWriter os = new PrintWriter(bos, false);
			os.println(mesg);
			os.flush();

			// recebe informacoes
			BufferedReader in = new BufferedReader(new InputStreamReader(digit
					.getInputStream()));
			boolean eof = false;
			while (!eof) {
				String line = in.readLine();
				if (line != null)
					System.out.println(line);
				else
					eof = true;
			}
			digit.close();
		} catch (IOException e) {
			System.out.println("IO Error: " + e.getMessage());
		}
	}
}