import java.io.*;
import java.net.*;
import java.util.Date;

public class MyServer extends Thread {
	private ServerSocket sock;

	public MyServer(int port) {
		super();
		try {
			sock = new ServerSocket(port);
			System.out.println("MyServer running at port " + port);
		} catch (IOException e) {
			System.out.println("Error: couldn't create socket.");
			System.exit(1);
		}
	}

	public void run() {
		Socket client = null;

		while (true) {
			if (sock == null)
				return;
			try {
				client = sock.accept();
				System.out.println("Esperando...");
				// Recebendo identificacao
				BufferedReader in = new BufferedReader(new InputStreamReader(
						client.getInputStream()));
				String c = in.readLine();
				System.out.println(c);
				// Enviando Informacoes
				BufferedOutputStream bos = new BufferedOutputStream(client
						.getOutputStream());
				PrintWriter os = new PrintWriter(bos, false);

				Date now = new Date();
				os.println("return of '" + c + "'");
				os.flush();
				os.close();
				client.close();
			} catch (IOException e) {
				System.out.println("Error: couldn't connect to client.");
				System.exit(1);
			}
		}
	}

	public static void main(String[] arguments) {
		int port = 4000;
		if (arguments.length == 1) {
			port = Integer.parseInt(arguments[0]);
		}
		MyServer server = new MyServer(port);
		server.start();
	}

}
